Subject: Re: Sequoia build with KDBG

From: Olof Johansson <[email-masked]>
Date: Fri, 29 Feb 2008 23:02:50 -0600

On Fri, Feb 29, 2008 at 08:30:15PM -0600, Josh Boyer wrote:

> > poor man's debugging works fine if a serial port is available, but my 
> > Sequoia platform doesn't get that far!  I use u-boot to download and 
> > boot my image, and I don't get any serial output after the boot completes:
> 
> By "poking characters out the serial port" I meant I literally coded up
> assembly functions to setup MMU translations and poke hex values at hard
> coded addresses.  That's why it's "poor man's".  If you had a working
> serial port out of the box, that would be a luxury ;).

Does 4xx have support for udbg and xmon? That would be a good first step
in getting an in-kernel debugger facility going.

-Olof